<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:48:57 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Deprecated List (org.eclipse.papyrus.designer.languages.cpp.view 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deprecated List (org.eclipse.papyrus.designer.languages.cpp.view 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Deprecated API" class="title">Deprecated API</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#class">Deprecated Classes</a></li>
</ul>
</div>
<div class="contentContainer"><a name="class">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Classes table, listing deprecated classes, and an explanation">
<caption><span>Deprecated Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">org.eclipse.papyrus.designer.languages.cpp.view.Activator</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/CommandSupport.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">org.eclipse.papyrus.designer.languages.cpp.view.CommandSupport</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by a XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppBehaviorPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppBehaviorPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by a XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppClassPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppClassPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by a XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppDefaultPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppDefaultPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppGeneralizationPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppGeneralizationPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppOperationPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppOperationPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by a XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPackagePanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppPackagePanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">org.eclipse.papyrus.designer.languages.cpp.view.CppPanelView</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppParameterPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppParameterPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPrimitiveTypePanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppPrimitiveTypePanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPropertyPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppPropertyPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppTemplateBindingPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppTemplateBindingPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/CppTemplateParameterPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.CppTemplateParameterPanel</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/panels/PanelFactory.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">org.eclipse.papyrus.designer.languages.cpp.view.panels.PanelFactory</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/eclipse/papyrus/designer/languages/cpp/view/listeners/UMLElementPanelListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.listeners">org.eclipse.papyrus.designer.languages.cpp.view.listeners.UMLElementPanelListener</a>
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
